Bug 484137 - Certain actions contain member variables
Certain actions contain member variables
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Justin Sherrill
John Matthews
:
Depends On:
Blocks: 456985
  Show dependency treegraph
 
Reported: 2009-02-04 18:05 EST by Justin Sherrill
Modified: 2009-09-10 16:32 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 16:32:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2009-02-04 18:05:40 EST
Certain of our Action classes contain non-final member variables which is not safe in most cases.  I've changed the classes that had mistakes but the following pages/actions should have some basic sanity testing done to make sure the changes didnt' affect anything:

Logging Out
YourRHN 
Popular Channel List
SSM channel subscribe
/rhn/admin/config/GeneralConfig.do
Virtualization Entitlements



I've tested all of these and they seem fine.
Comment 1 Justin Sherrill 2009-02-04 18:06:41 EST
Also, just FYI, I wrote a doclet that scans our Actions, so this shouldn't be a problem going forward.
Comment 2 Clifford Perry 2009-02-05 11:31:17 EST
Justin - commit code - move to modified - list specific URL's pages for QA to review. 

Thanks,
Cliff
Comment 3 Justin Sherrill 2009-02-05 12:45:51 EST
/rhn/Logout.do
/rhn/YourRhn.do
/rhn/software/channels/Popular.do
/rhn/channel/ssm/BaseChannelSubscribe.do
/rhn/admin/config/GeneralConfig.do
/rhn/systems/entitlements/GuestLimitedHosts.do
Comment 4 John Matthews 2009-03-24 17:03:57 EDT
Verified
ISO: Satellite-5.3.0-RHEL5-re20090323.0-i386-embedded-oracle.iso
Comment 5 Jeff Browning 2009-08-27 02:44:55 EDT
Tested on dhcp77-153.rhndev.redhat.com
Comment 6 Brandon Perkins 2009-09-10 16:32:42 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.